## ros-one-ocean-battery-driver 1.1.10-5jammy.20251023.0137

=== debian/changelog ===
ros-one-ocean-battery-driver (1.1.10-5jammy.20251023.0137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 01:37:37 +0000

ros-one-ocean-battery-driver (1.1.10-0jammy) jammy; urgency=high

  * fixes for boost dependencies
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 May 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.9-0jammy) jammy; urgency=high

  * added boost_program_options as build dependency
  * fixed CMP0048 compiler warning for noetic/focal
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.8-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.7-0jammy) jammy; urgency=high

  * Merge pull request #71 <https://github.com/PR2/pr2_power_drivers/issues/71> from Jntzko/last_battery_update
    Initialize last battery update time with 0
  * Initialize last battery update time with 0
    in kinetic initializing a ros time with -1 throws the following error:
    "Time is out of dual 32-bit range"
    Change it to time(0) keeps the previous behaviour, but uses time 0 as initial value.
  * Contributors: Yannick Jonetzko

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Dec 2018 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.6-0jammy) jammy; urgency=high

  * change maintainer to ROS orphaned package maintaner
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Feb 2018 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.5-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.3-0jammy) jammy; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

## ros-one-ocean-battery-driver 1.1.10-5jammy.20260220.2227

=== debian/changelog ===
ros-one-ocean-battery-driver (1.1.10-5jammy.20260220.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 22:27:08 +0000

## ros-one-ocean-battery-driver 1.1.10-5noble.20251023.0135

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ocean_battery_driver)

find_package(catkin REQUIRED COMPONENTS roscpp pr2_msgs diagnostic_updater diagnostic_msgs)

catkin_package(
	DEPENDS roscpp pr2_msgs diagnostic_updater diagnostic_msgs
)

add_subdirectory(src)

=== src/CMakeLists.txt ===
add_subdirectory(ocean_battery_driver)

=== src/ocean_battery_driver/CMakeLists.txt ===
find_library(LOG4CXX_LIBRARY log4cxx)
find_package(Boost REQUIRED COMPONENTS thread program_options date_time)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(ocean_server server.cpp ocean.cpp)
add_dependencies(ocean_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(ocean_server 
   ${catkin_LIBRARIES}
   ${LOG4CXX_LIBRARY}
   ${Boost_LIBRARIES})

add_executable(battery_check battery_check.cpp ocean.cpp)
add_dependencies(battery_check ${catkin_EXPORTED_TARGETS})
target_link_libraries(battery_check
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES})

install(TARGETS ocean_server battery_check
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-ocean-battery-driver (1.1.10-5noble.20251023.0135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 23 Oct 2025 01:35:15 +0000

ros-one-ocean-battery-driver (1.1.10-0noble) noble; urgency=high

  * fixes for boost dependencies
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 May 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.9-0noble) noble; urgency=high

  * added boost_program_options as build dependency
  * fixed CMP0048 compiler warning for noetic/focal
  * Contributors: Dave Feil-Seifer

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.8-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.7-0noble) noble; urgency=high

  * Merge pull request #71 <https://github.com/PR2/pr2_power_drivers/issues/71> from Jntzko/last_battery_update
    Initialize last battery update time with 0
  * Initialize last battery update time with 0
    in kinetic initializing a ros time with -1 throws the following error:
    "Time is out of dual 32-bit range"
    Change it to time(0) keeps the previous behaviour, but uses time 0 as initial value.
  * Contributors: Yannick Jonetzko

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Dec 2018 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.6-0noble) noble; urgency=high

  * change maintainer to ROS orphaned package maintaner
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 11 Feb 2018 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.5-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-one-ocean-battery-driver (1.1.3-0noble) noble; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-ocean-battery-driver
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, liblog4cxx-dev, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-pr2-msgs, ros-one-roscpp
Homepage: http://www.ros.org/wiki/ocean_battery_driver
Standards-Version: 3.9.2

Package: ros-one-ocean-battery-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-pr2-msgs, ros-one-roscpp
Description: This is an interface to the Ocean Server Technology Intelligent Battery and Power System.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ocean-battery-driver//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ocean-battery-driver 1.1.10-5noble.20260220.2239

=== debian/changelog ===
ros-one-ocean-battery-driver (1.1.10-5noble.20260220.2239) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 20 Feb 2026 22:39:35 +0000
